Subject: Re: [BUG] potential error in parsing git checkout options?

From: Matthieu Moy <[email-masked]>
Date: Fri, 29 May 2015 14:23:02 +0200

Guillaume Pages <[email-masked]> writes:

> Git version : 2.4.1.652.g8fd8657 
>
> When we run git checkout -babar, we would expect an error message like 
> "unknown switch 'a' " and we get "Switched to a new branch 'abar'".

Yes, the option-parser accepts sticked form (-bbranch) and unsticked (-b
branch). This is the convention with most Unix commands (try "grep -e
foo" Vs "grep -efoo").

It gets more confusing for "git -amend" Vs "git --amend", which got a
special-case to avoid confusion (strictly speaking, it should have been
equivalent to "git commit -a -m end").

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/